/*
 * checksum.h
 * begin 20190612 true
 *
 * nothing special, good enough
 */

#ifndef INC_MISC_CHECKSUM_H_
#define INC_MISC_CHECKSUM_H_



#include <stdint.h>



uint16_t checksum_gen(uint8_t *dat, uint16_t len);
uint16_t checksum_verify(uint8_t *dat, uint16_t len, uint16_t checksum);



#endif /* INC_MATH_CHECKSUM_H_ */
